> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Get deployment

> Returns normalized deployment status, authorization requirements, and planned automations.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json get /deployments/{deploymentId}
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /deployments/{deploymentId}:
    get:
      tags:
        - Deployments
      summary: Get deployment
      description: >-
        Returns normalized deployment status, authorization requirements, and
        planned automations.
      operationId: getDeployment
      parameters:
        - name: deploymentId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  authorization:
                    anyOf:
                      - type: object
                        properties:
                          requirements:
                            type: array
                            items:
                              type: object
                              properties:
                                binding:
                                  type: string
                                satisfied:
                                  type: boolean
                                serviceId:
                                  type: string
                              required:
                                - binding
                                - satisfied
                                - serviceId
                          url:
                            type: string
                            format: uri
                        required:
                          - requirements
                          - url
                      - type: 'null'
                  automations:
                    type: array
                    items:
                      type: object
                      properties:
                        description:
                          type: string
                        id:
                          type: string
                        identityKey:
                          type: string
                        parameterIssues:
                          type: array
                          items:
                            type: string
                        parameters:
                          type: array
                          items:
                            anyOf:
                              - {}
                              - type: 'null'
                        parameterValues:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties:
                            type: string
                            contentEncoding: base64
                        scopes:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              path:
                                type: array
                                minItems: 1
                                items:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                              presentation:
                                enum:
                                  - collapsed
                                  - expanded
                                  - hidden
                                type: string
                            required:
                              - path
                              - presentation
                        subscriptions:
                          type: array
                          items:
                            type: object
                            properties:
                              config:
                                anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: 'null'
                                  - type: array
                                    items:
                                      anyOf:
                                        - type: string
                                        - type: number
                                        - type: boolean
                                        - type: 'null'
                                        - type: array
                                          items:
                                            anyOf:
                                              - {}
                                              - type: 'null'
                                        - type: object
                                          propertyNames:
                                            type: string
                                          additionalProperties: {}
                                  - type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties:
                                      anyOf:
                                        - type: string
                                        - type: number
                                        - type: boolean
                                        - type: 'null'
                                        - type: array
                                          items:
                                            anyOf:
                                              - {}
                                              - type: 'null'
                                        - type: object
                                          propertyNames:
                                            type: string
                                          additionalProperties: {}
                              eventType:
                                type: string
                              hookSlot:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              scopePath:
                                type: array
                                items:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                default: []
                            required:
                              - config
                              - eventType
                              - hookSlot
                      required:
                        - description
                        - id
                        - identityKey
                        - scopes
                        - subscriptions
                  createdAt:
                    type: string
                    format: date-time
                    x-native-type: date
                  failure:
                    anyOf:
                      - type: object
                        properties:
                          message:
                            type: string
                        required:
                          - message
                      - type: 'null'
                  id:
                    type: string
                  git:
                    anyOf:
                      - type: object
                        properties:
                          commitSha:
                            type: string
                            pattern: ^[0-9a-f]{40}(?:[0-9a-f]{24})?$
                          dirty:
                            type: boolean
                          projectPath:
                            type: string
                          repositoryUrl:
                            type: string
                            minLength: 1
                        required:
                          - commitSha
                          - dirty
                          - projectPath
                          - repositoryUrl
                      - type: 'null'
                  project:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      organization:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                        required:
                          - id
                          - name
                    required:
                      - id
                      - name
                      - organization
                  status:
                    enum:
                      - planning
                      - awaiting_authorization
                      - configuring
                      - publishing
                      - succeeded
                      - failed
                      - cancelled
                    type: string
                required:
                  - authorization
                  - automations
                  - createdAt
                  - failure
                  - id
                  - git
                  - project
                  - status
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````